package com.franckbarbier.json_p;

public class JSON_P {

    static {
        // https://docs.oracle.com/javase/8/docs/technotes/guides/net/proxies.html
        System.setProperty("http.proxyHost", "cache.univ-pau.fr");
        System.setProperty("http.proxyPort", "3128");
    }

    public static void main(String[] args) {
        try {
// Single currency conversion, for instance, from US $1000 to €:
            System.out.println("OpenExchangeRates.org: " + Double.toString(OpenExchangeRates.Convert(Currencies.USD, Currencies.EUR, 1000.)) + '\u20A0');
            System.out.println("OpenExchangeRates.org: " + Double.toString(OpenExchangeRates.Convert2(Currencies.USD, Currencies.EUR, 1000.)) + '\u20A0');
// Paying clients only, i.e., a Java exception is raised because HTTPS access requires payment: 
            System.out.println(Double.toString(OpenExchangeRates.Convert3(Currencies.USD, Currencies.EUR, 1000.)) + '\u20A0');
        } catch (java.net.MalformedURLException mfue) { // 'MalformedURLException' inherits from 'IOException'
            System.err.println(java.net.MalformedURLException.class.getSimpleName() + ": " + mfue.getMessage());
        } catch (java.io.IOException ioe) {
            System.err.println("Call 'OpenExchangeRates.org' through HTTPS is subject to payment, so it fails: " + ioe.getMessage());
            try {
                System.out.println("Fixer.io: " + Double.toString(Fixer.Convert(Currencies.USD, Currencies.EUR, 1000.)) + '\u20A0');
            } catch (java.io.IOException ioe_) {
                System.err.println("Call 'Fixer.io' fails as well: " + ioe_.getMessage());
            }
        }
    }
}
